org.eclipse.mat.ui.internal.acquire

## Class ProviderArgumentsTable

- java.lang.Object
- - org.eclipse.mat.ui.internal.acquire.ProviderArgumentsTable

All Implemented Interfaces:
  ArgumentEditor.IEditorListener

    public class ProviderArgumentsTable
    extends Object
    implements ArgumentEditor.IEditorListener

Handles a table of arguments - either for a particular dump or for a particular dump provider type.

### Nested Class Summary

Nested Classes
`static interface` `ProviderArgumentsTable.ITableListener`

### Constructor Summary

Constructors
Constructor and Description
`ProviderArgumentsTable(org.eclipse.swt.widgets.Composite parent, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(ProviderArgumentsTable.ITableListener listener)`
`void` `fireFocusChangedEvent(String message)`
`AnnotatedObjectArgumentsSet` `getArgumentSet()`
`IAnnotatedObjectDescriptor` `getProviderDescriptor()`
`void` `onError(ArgumentEditor editor, String message)`
`void` `onFocus(String message)`
`void` `onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`
`void` `onValueChanged(Object value, ArgumentDescriptor descriptor, org.eclipse.swt.widgets.TableItem item, ArgumentEditor argEditor)`
`void` `providerSelected(AnnotatedObjectArgumentsSet newArgumentsSet)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProviderArgumentsTable

    public ProviderArgumentsTable(org.eclipse.swt.widgets.Composite parent,
                                  int style)

### Method Detail

#### getArgumentSet

    public AnnotatedObjectArgumentsSet getArgumentSet()

#### getProviderDescriptor

    public IAnnotatedObjectDescriptor getProviderDescriptor()

#### addListener

    public void addListener(ProviderArgumentsTable.ITableListener listener)

#### onValueChanged

    public void onValueChanged(Object value,
                               ArgumentDescriptor descriptor,
                               org.eclipse.swt.widgets.TableItem item,
                               ArgumentEditor argEditor)

Specified by:
  `onValueChanged` in interface `ArgumentEditor.IEditorListener`

#### onFocus

    public void onFocus(String message)

Specified by:
  `onFocus` in interface `ArgumentEditor.IEditorListener`

#### onModeChange

    public void onModeChange(LinkEditor.Mode mode,
                             ArgumentDescriptor descriptor)

Specified by:
  `onModeChange` in interface `ArgumentEditor.IEditorListener`

#### onError

    public void onError(ArgumentEditor editor,
                        String message)

Specified by:
  `onError` in interface `ArgumentEditor.IEditorListener`

#### fireFocusChangedEvent

    public void fireFocusChangedEvent(String message)

#### providerSelected

    public void providerSelected(AnnotatedObjectArgumentsSet newArgumentsSet)